import { Puth } from '../server/Server';
import { PuthPlugin, PuthPluginGeneric } from '../server/src/PuthPluginGeneric';
export declare class LocalPuthClient {
    private readonly puth;
    private options;
    private assertionHandler;
    constructor(serverOptions?: any, clientOptions?: any);
    setAssertionHandler(assertionHandler: (assertion: any) => any): void;
    getAssertionHandler(): ((assertion: any) => any) | undefined;
    getPuth(): Puth;
    contextCreate(options?: any): Promise<any>;
    contextCall(rpcPacket: any): Promise<any>;
    contextGet(rpcPacket: any): Promise<{
        type: string;
        value: any;
    } | {
        type: string;
        code: string;
        message: string;
    }>;
    contextSet(rpcPacket: any): Promise<{
        type: string;
        code: string;
        message: string;
    } | undefined>;
    contextDelete(rpcPacket: any): Promise<{
        type: string;
        code: string;
        message: string;
    } | undefined>;
    contextDestroy(rpcPacket: any): Promise<boolean>;
    use(plugin: PuthPluginGeneric<PuthPlugin>): void;
}
