import PuthContextPlugin from '../PuthContextPlugin';
import { ElementHandle } from 'puppeteer';
export default class PuthStandardPlugin extends PuthContextPlugin {
    constructor();
    KeyMapping: {
        leftarrow: string;
        rightarrow: string;
        uparrow: string;
        downarrow: string;
        del: string;
        option: string;
        command: string;
        cmd: string;
        ctrl: string;
        selectall: (element: any, options: any) => Promise<void>;
    };
    type(element: any, chars: any, options?: {
        delay?: any;
    }): Promise<void>;
    innerText(element: any): Promise<any>;
    innerHTML(element: any): Promise<any>;
    value(element: any): Promise<any>;
    its(element: any, property: any): Promise<any>;
    get(element: any, search: any, options?: any): Promise<any>;
    contains(element: any, search: any, options?: any): Promise<any>;
    $(element: any, selector: any, options?: any): Promise<any>;
    parent(element: any): Promise<any>;
    parents(element: any): Promise<any>;
    children(element: any, selector: any): Promise<any>;
    siblings(element: any): Promise<any>;
    prev(element: any): Promise<any>;
    next(element: any): Promise<any>;
    blur(element: any, selector?: any): Promise<any>;
    clear(element: ElementHandle): Promise<void>;
    submit(element: any, selector: any): Promise<void>;
    clickAndWait(element: any, options: any, waitOptions: any): Promise<void>;
    evaluate(page: any, func: any): Promise<any>;
    evaluateRaw(page: any, func: any): Promise<any>;
    visible(element: any, selector?: any): Promise<boolean>;
    Assertions: {
        have: {
            text: {
                resolve: (element: any) => Promise<any>;
                msg: (actual: any, expected: any) => string;
                test: (actual: any, expected: any) => boolean;
            };
            id: {
                resolve: (element: any) => Promise<any>;
                msg: (actual: any, expected: any) => string;
                test: (actual: any, expected: any) => boolean;
            };
            class: {
                resolve: (element: any) => Promise<any>;
                msg: (actual: any, expected: any) => string;
                test: (actual: any, expected: any) => any;
            };
            attr: {
                resolve: (element: any, attribute: any) => Promise<any>;
                msg: (actual: any, expected: any) => string;
                test: (actual: any, expected: any) => boolean;
            };
            value: {
                resolve: (element: any) => Promise<any>;
                msg: (actual: any, expected: any) => string;
                test: (actual: any, expected: any) => boolean;
            };
        };
    };
    should(element: any, assertion: any, ...params: any[]): Promise<{
        type: string;
        name: any;
        actual: any;
        expected: any;
        result: any;
        message: any;
    }>;
    url(element: any, options?: any): Promise<any>;
}
